/*
For pillbug-js framework.
*/

function replace(entry, oldText, newText) {
  if (entry.name === oldText) {
    entry.name = newText;
  }
}

function processItems(items, state) {
  var oldText = state.opts.oldText;
  var newText = state.opts.newText;
  items.forEach(entry => replace(entry, oldText, newText))
}


module.exports = () => {
  return {
    visitor: {
      CallExpression(path, state) {
        processItems(path.node.arguments, state);
      },
      Function(path, state) {
        processItems(path.node.params, state);
      }
    }
  };
};